package com.bytedance.android.livesdk.livesetting.watchlive;

import X.C2409Gbi;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("test_disable_stream_preview")
public final class TestDisableStreamPreviewSetting {
    @Group(isDefault = true, value = "default group")
    public static final boolean DEFAULT = false;
    public static final TestDisableStreamPreviewSetting INSTANCE = new TestDisableStreamPreviewSetting();

    static {
        Covode.recordClassIndex(18438);
    }

    public final boolean getValue() {
        if (C2409Gbi.LJFF) {
            return SettingsManager.INSTANCE.getBooleanValue(TestDisableStreamPreviewSetting.class);
        }
        return false;
    }
}
